3.3.0.0 (2018092501)
====================
- Fix bug where editing section name using in-place editing would reset section icon to default
- Fix issue with collapse section zero button icon not changing when close
- Improve keyboard navigability for screen reader users
- Change sub-tile title to "Spreadsheet" where .xlsx file is being displayed (previously said 'Other')
- Fix issue with sub tiles wrapping to separate lines in section zero (where used)
- Cosmetic changes to comments such as adding full stops to please Moodle code checker
- Increment version to 2018092501

3.3.0.1 (2018092503)
====================
- Fix issue #1 incorrect/inconsistent camel case in lang strings
- Fix issue #2 invalid function names in locallib.php
- Fix issue #3 adding $plugin->maturity and $plugin->release to version.php
- Improve keyboard navigability for users e.g. in response to TAB and ESC keys within a tile
    (ensure that tab from last content item and ESC respond as expected)
- Improve keyboard navigability when editing mode on (add tabindex to tile bars and JS for return click to open)
- Improve display of message "Hidden" or "Restricted" on tile before opened
- Ensure that modal resource object tags have correct type shown for html page i.e. text/html (was showing application/pdf)
- Fix modal header font colour (minor CSS change)
- Move download, new window and completion toggle to the modal header (were in body)
- Fix bug which was excluding section zero activity completion data from the overall calculation
- Make tooltip for completion icon toggle to say "Complete" or "Not complete" when clicked

3.3.0.2 (2018092504)
====================
- Adjust JS/CSS so that buttons in new modal header location (above) also works with clean/essential/adaptable

3.3.0.3 (2018092505)
====================
- CSS change to ensure icons in modal window header are white (for contrast)
- Combine 'overall' and 'progress' language strings into one 'Overall progress' to aid with language packs
- Fix bug where items set with automatic completion tracking were not having their completion logged

3.3.0.4 (2018092506)
====================
- Fix bug with incorrect display of links to hidden items to students

3.3.0.8 (2018123000)
====================
- Fix issue with non-display of images in section summary (pluginfile rewrite)
- Fix intended response to course deleted event
- Fixes issue #4 by ensuring that function bails out if the restored course does not use tiles format
- Avoid missing image on pick icon button
- Add AMOS lang string defaultthiscourse
- Improve handling of drag and drop images into courses

3.3.0.12 (2019010300)
====================
- Dim restricted/hidden labels for teachers
- Show availability message to teachers on hidden labels
- Browser stored course content to be stored by user (better for testing)
- Whether or not section zero is collapsed stored in local storage with user id not just courseid
- Add admin plugin setting to allow or disallow re-opening of last open section for user
- Minor JS corrections
- Improve position of subtile edit menu (chome)
- Ensure admin setting to assume browser storage consent is respected
- Do not respond to return key press by entering tile if user was inplace editing the title.
- Add HTML titles to close and edit buttons
- Improve title on completion icon
- Avoid trying to unset tileicon if not set
- ensure that page modal launch works if not using subtiles
- Change order of brand colours in admin settings to better match boost theme
- Remove stray {$a} from filter bar help string
- Ensure that if admin sets zero browser stored items, this is respected
- Fix function which enables old browser stored items to be removed, remove redundant arg
- Make instancename class consistent for subtile and standard activities

3.3.0.16 (2019011401)
=====================
- Automated tests - basic tests added for Behat and PHPUnit (need more work)
- Improve selectors for both colour and tile icon on course admin page and section edit pages including language strings
- Ensure that label (and label like e.g. unilabel) completion changes do not result in temporary changes to tile progress counters
- Tile progress indicator to update correctly when resources with automatic progress tracking are launched
- Improve mobile CSS
- Overall progress indicator to show even when filter bar is hidden
- Cooperate better with Snap theme
- Re-initialise media player when loading content via AJAX
- Add icons to JS and data pref menu options
- Use formatted text for cm description
- Dim hidden label in non subtiles mode
- CM edit controls to be shown to non-editing teacher who has been awarded limited editing rights
- When page modal launched, include description html as well as page content
- Description can be shown under activity link on course page if using non subtiles and box is checked
- When completion icon changes, change class not img url
- Overall progress indicator to be visible even if filter bar is not
- Dragged and dropped items to show not dimmed
- Icon text search new feature
- Clear browser stored content when user switches role
- Fix issue with in tile close button not always locating at top of section

3.3.1 (2019012101)
==================
- Graphical colour and icon pickers to be available on course edit form when course is switched into tiles for first time
- Overall progress indicator shows when filter bar not shown
- Add 'afterlink' html to course module display
- Check if theme supports font awesome
- Include tile progress indicator value in completion behat test
- Avoid minor layout issue with clean theme icon search box
- Remove redundant setting tile hover colour name
- No completion tracking for user viewing course as guest
- Minor changes to please Moodle code checker

3.3.2 (2019012800)
==================
- Avoid issue with duplicate labels showing where database shows cm.showdescription=1 (only happens sometimes)
- Allow teacher to set restricted tiles as being visible to students but greyed out
- Improve dimming of hidden activities

3.3.3 (2019013100)
==================
- Stop stealth activities showing for students
- Add title tooltip to icon picker icons where it is missing
- Add music icon lang string
- Fix course mod edit menu not working in Essential theme after new item drag dropped to course
- Fix issue with move not working after drag new item into course
- Adapt icon picker to allow for tooltip use

3.3.4 (2019030100)
====================
- Adaptable theme - fix issue where glossary auto link dialogues are displayed under the main overlay
- Adaptable theme - improve non JS display
- Improve display of stealth activities
- Improve JS deactivated message
- CSS - Fix header overlay height, correct PDF modal width
- Ensure close sec button is on top
- Resolve narrow title on mobile with animated nav disabled
- Avoid returning empty allowed mods list
- Ensure tiles are narrower and 2 to a row on mobile
- Remove redundant references to modal
- Code checker changes

3.3.5 (2019031100)
==================
- Fix tile icon left margin
- PDF modal - ensure nav bar is visible on right of PDF, correct height in chrome (was too short)
- Iframe e.g. Youtube video embedded in page - ensure width no larger than window width
- Correct header overlay height

3.3.6 (2019040200)
==================
- Adaptable theme - Improve navbar handling and completion icon appearance
- Completion icons - fix issue #9 icons and strings to be displayed re quiz completion depending on grade (pass/fail)
- Editing - expanding all tiles - remember user choice for this session and keep last edited section expanded
- Internet Explorer- disable JS navigation and modals if user is using Internet Explorer.  Do not show animated nav controls.
- Layout - Indentation improved for labels / files
- Layout - Support indented activities (move left/right) in non subtiles mode
- Layout - Two sub-tiles per row not one on devices with width < 680px (was 600px)
- Loading tile icon appears when content loading
- Local storage - clear when teacher edits course settings, or  if item with auto complete on grade is viewed
- Minimise height of grid spacer tiles
- Modals - display manual check control for Pages in modal when launched
- Modals - improve alignment of course module modal control buttons
- Modals - labels with iframes in modals - adapt modal height and width to iframe
- Modals - Moodle 3.3 modal header colour
- Modals - resize modal improvements (embedded HTML file resources / Page embedded iframes (e.g. YouTube)/ Moodle video filter)
- Modals - when dismiss modal, video stops playing automatically
- Navbar overlay height - improvements including account for difference between firefox and chrome
- URL activity - remove intermediate screen on launch by student (go directly to URL but log click with AJAX)

3.7.0.x RC (201905210x) (Major release RC)
==================================
New features
- Photo tiles, with photo picker and conversion of Grid format courses
- Tiles fit to screen on page load
- YouTube and Vimeo URL activities - display in modal windows if "Display: embed", and list as "Video" not "URL"
- Other embedded URL activities can launch in modal windows, with fallback link if "Display: embed"
- Improve administrator settings pages and add settings related to new features
- Administrator can now reset all course tile colours after changing the palette of available colours
- Optional ability to register plugin for updates
- Moodle 3.7 compatibility
Other
- Refactor code for simplicity and to help future features
- Bug fixes

3.9.0.x Beta (2020080xxx)
=========================
- Add support for Moodle 3.8 and 3.9
- Bug fixes
- Add support for H5P filter
- Tooltips disabled by default

3.9.0.3 Beta (2020080603)
=========================
- Issue 45 detect if the incompatible Moodle 3.7 version of tiles has been run in Moodle 3.9
- If it has, throw error if section error detected on import/restore to 3.9

3.9.0.4 Beta (2020080604)
=========================
- Better handling of import/backup error avoidance for issue 45 (teacher can exclude offending section from backup/restore).
- For courses which have a large number of sections as a result of the issue, do not display them all / show warning to editor.
- On course sections which have too high a section number, display an error message to editors and suggest a fix.

3.9.0.5 Beta (2020080605)
=========================
- Fix typo on backup section count check

3.9.0.6 (2020080606)
=========================
- Align queries with index on course_format_options table
- Minor fixes

3.9.0.7 (2020080607)
=========================
- Bug fixes
- Add experimental tool to enable site admin to delete empty tiles in bulk.
- Minor improvements to 'restricted' tags incl for Moodle 3.10
- Tests - avoid deprecation warnings for PHP9

3.9.0.8 (2020080608)
====================
- Bug fix with empty section deletion task

3.9.0.9 (2020080609)
====================
- Minor refactoring and tidying

3.9.0.10 (2020080610)
====================
- Improve YouTube and Vimeo URL recognition
- Minor CSS change for editors

3.9.0.11 (2020080611)
=====================
- Fix issue running unit test

3.9.0.12 (2020080612)
=====================
- Fix issue with integer section names causing backup error
- Fix delete empty sections tool

3.9.0.13 (2020080613)
=====================
- Fix tests for Moodle 3.10

3.9.0.14 (2020080614)
=====================
- Fix issue #61 Restricted activities / sections respond to clicks on others
- Fix URL on out of sequence warning.

3.9.0.15 (2020080615) (RELEASE CANDIDATE)
=========================================
- Compatibility for Moodle 3.11 incl new completion tracking activity info.
- Fix issue #61, issue #75, issue #78 (completion no updating or not updating restrictions).
- Fix issue #70 escape chars in mod title.
- Fix issue 74 typo in image upload guidance.
- Fix issue #67 LTI to open in new window.
- Fix issue #50 PDF view log on mobile.
- Fix incorrect lang string.
- Fix issue #77 page description image not displaying.
- Fix issue #73 (allow completion for labels).

3.9.0.16 (2020080616) (RELEASE CANDIDATE)
=========================================
- Improve wrapping of tile and sub-tile titles where long (incl new line break feature).
- Improve section completion checks on completion change.

3.11.0.1 (2020080617) (RELEASE CANDIDATE)
=========================================
- Add Mathjax support
- Improve section completion checks on completion change.
- Remove browser content storage (simplifies code, better for completion, fixes issue #31, fixes issue #69).
- Fix minor course settings page issue re subtiles in section zero.

3.11.0.2 (2020080618) (RELEASE CANDIDATE)
=========================================
- Fix issue #52 scrolling after video new window
- Fix issue #53 show page contents to users with editing rights
- Amend lang strings

3.11.0.3 (2020080619) (RELEASE CANDIDATE)
=========================================
- Fix issue #79 remove old unnecessary core tests

3.11.0.4 (2020080620) (RELEASE CANDIDATE)
=========================================
- Hide lock when tile becomes visible on completion change.
- Change the line break filter character to &#8288; (word joiner character).
- Fix minor issue with course module modal completion track button on launch.

3.11.0.5 (2020080621) (RELEASE CANDIDATE)
=========================================
- Fix issue with H5P modal being too small sometimes
- Fix issue 65 Add mod datalynxcoursepage to $labellikecoursemods

3.11.0.6 (2020080623) (RELEASE CANDIDATE)
=========================================
- Fix issue #60 mathjax not loading
- Fix issue with jpeg filter param count

3.11.1.0 (2020080625)
=====================
- Change "Release Candidate" tag to "Stable"

3.11.1.1 (2020080626)
======================
- Fix hidden items showing as empty elems
- Fix missing </button> tag hiding next item

3.11.1.2 (2020080628)
======================
- Fix issue with completion hiding sec zero content
- Fix issue #82 special chars in mod title

3.11.1.3 (2020080629)
======================
- Fix JS error on course edit form
- Minor style/layout adjustments for modals, stealth activities and Lambda theme

4.0.0.1 BETA (2022070100)
=========================
- Changes for compatibility with Moodle 4.0
- Remove label conversion

4.0.0.3 BETA (2022080800)
=========================
- Improve completion buttons/indicators
- Fix some modal launch issues (e.g. issue 94 duplicate launches)
- Reinstate disable JS nav option and single section page
- Update main screen completion indicators when new window activity launches
- Fix full screen embedded video (issue 87)
- Use $mod->has_custom_cmlist_item() if Tiles should display a course module inline like label (issue 97)
- Avoid PHP8 error on section edit
- Minor theme compatibility fixes

4.0.0.5 BETA (2022091501)
=========================
- Fix empty activities caused by core change MDL-74800 (Core commit #68b3f1, core version 4.0.2+ (Build: 20220805)).
- Update format.js to follow current core version.
- Typos and comments.

4.0.0.7 BETA (2022091503)
=========================
- Fix issue with format_tiles\output\courseformat\content\sectionnavigation constructor.
- Remove MOODLE_INTERNAL where no longer required.

4.0.0.8 BETA (2022091700)
=========================
- Remove unnecessary override of core_courseformat\output\local\content\sectionselector (constructor mismatch).

4.0.0.9 RC (2023013000)
=======================
- Fix manual completion button ("Mark as done") on labels in non-subtiles mode (issue 128)
- Reinstate tile highlight feature (issue 140)
- Fix JS loading for no view page course modules (e.g. mod_unilabel) (issue 123)
- Avoid issue with missing grid format table (issue 141)
- Improve handling of URL params in embedded YouTube and Vimeo URLs (issue 28 and 143)

4.1.0.0 (2023021300)
====================
- Fix issue 133 (non-JS navigation bug) and improve non JS nav
- Fix issue 136 (overlay clash with mod_offlinequiz)
- Fix issue with section re-opening when user has disabled browser storage
- Change release to "stable"
- More comments

4.1.0.1 (2023022800)
====================
- Fix issue 144 Activity icons not centered in tiles format
- Fix issue 148 completion warning
- Fix issue 138 blocked pop up warning
- Fix issue 134 avoid URL activity pop up warning when set to display "open"

4.1.0.2 (2023030500)
====================
- Fix issue 145 Return to current tile after editing

4.2.0.0 (2023053100)
====================
- Minor adjustments to styles/tests for Moodle 4.2 incl completion icons.
- Avoid PHP 8.1 warning (issue #154).

4.2.0.1 (2023060200)
====================
- Fixes issue #152 filter buttons
- Fixes issue #153 glossary multiple windows

4.3.0.1 - 4.3.0.24 (202403xxxx and preceding 4.3.0.x betas)
================================================
(Versions 4.1.1.2 and 4.2.1.1 also implement almost all of the below changes for their respective Moodle versions).
- Moodle 4.3 compatibility (including completion control and editing mode fixes)
- Add new database table mdl_format_tiles_tile_options to store photo/icon information
- Migrate tile icon and tile photo data from mdl_course_format_options into new table (upgrade script uses cron)
- Tile icons and images are now retained (in new table) if course is temporarily switched to another format
- Course index (core) implemented for Tiles format
- Bulk editing tool (core) implemented for Tiles format
- New styling for sub tiles using Moodle core icons
- Fragment API implemented for section content and cm content
- Photo library image improved
- Improve handling of course specific CSS (for course tile colours)
- Fix issue 35: Unable to close tile detail with keyboard only
- Fix issue 87: Full screen video failed
- Fix issue 94: URL Resource pop-up also opens new tab/window
- Fix issue 122: Option to enable course index drawer in Moodle 4
- Fix issue 149: Tiles does not show 0-section heading
- Fix issue 153: Glossary opens multiple windows
- Fix issue 155: course scroll bar issue in Moodle 41
- Fix issue 160: bullets disappear
- Fix issue 162: Can't drag page from scrollbar in Edge when a tile is opened.
- Fix issue 165: referencefileid backup/restore repository issue
- Fix issue 166: bullet points disappear in edit mode
- Fix issue 175: url params
- Fix issue 184: RTL activity edit menu inaccessible
- Fix issue 186: Icons for external plugins not displayed
- Fix issue 187: blocks drawer
- Fix issue 189: show more
- Fix issue 192: Beta issue with duplicated section 0 content on the top of individual weeks

4.4.0.1 RC (2024042200)
===========================
- Moodle 4.4. compatibility
- Sort strings file alphabetically

4.4.0.2 (2024050300)
===========================
- Sub-tile style improvement with setting
- Set get_view_url to avoid /course/section.php page
- PHP docs improvements
- Correct test namespace
- Fix issue #204 upgrade path

4.4.0.3 (2024051700)
====================
- Fix issue 205 Embedded URL activity video stop
- Fix issue 206 overall progress missing if JS nav disabled
- Improve overall progress indicator
- Various PHPUnit fixes, PHP docs typos
- YouTube embedded in label max width fix
- Simplify function to get modal allowed CM IDs

4.4.0.4 (2024051800)
====================
- Edge case behat fix

4.4.0.5 (2024060500)
=====================
- Fix issue #208 overlap on tile when using style 2
- Registration bug and other minor bug fixes

4.3.0.29 (2024061100)
=====================
- Fix issue 210 progress indicator contrast
- Fix issue 203 drawer scroll (Moodle 4.0 - 4.2)
- Refactor move tiles local classes to \format_tiles\local\
- Refactor dynamic styles to use CSS vars and less inline CSS
- Other minor changes: tile fitter JS, registration, book icon & Adaptable theme CSS

4.4.0.7 (2024061303)
=====================
- Respect section permalinks https://docs.moodle.org/403/en/Course_homepage#Get_a_permalink_to_a_course_section
- Remove CSS error
- Dynamic styles improve
- Non JS mode - fix Moodle 4.4 section.php page incl colours, fix dimmed nav arrow colour.
- Refactor JS init and remove some redundant editor JS
- Avoid imprecision warning on image upload
- Course index modals work on section.php page

4.4.0.8 (2024061402)
=====================
- Support for section.php on Moodle 4.4
- Move some helper methods and minor refactor
- Fix modals non JS navigation mode


4.4.0.9 (2024062100)
====================
- Course index admin setting defaults to on for Tiles
- After save an activity, return to course main page, with # scroll to section edited
- Remove set icon menu control for section zero
- Avoid footer cache issue when course is restored deleting existing content.
- Fix URL activity modal when launched from course index.

4.4.0.10 (2024070904)
=====================
- Fix issue #131 image overwrite
- Fix issue #207 course modules indent (non-subtiles only)
- Fix issue #211 icon fallbacks
- Fix issue with course_sections error when trying to upload an image to a tile which already has one
- Possible fix for intermittent issue #213 (Class "format_tiles\output\courseformat\content\cm\controlmenu" not found)
- Section expanded when editor returns
- Remove duplicate lock icon
- Add test to check course/edit.php works when tiles is on
- Debugging messages set to DEBUG_DEVELOPER
- Remove photo options from icon picker modal when user is on course edit form (avoid course_sections error)

4.4.0.11 (2024071107)
=====================
- Add tip to section edit form for how to edit tile icon/photo
- Remove section view menu item (for editors) which (points to /course/section.php)

4.4.0.12 (2024072510)
=====================
- Delete unused tile photos files when they are unset
- Fix issue #211 icon fallbacks (previous fix incomplete)
- Remove tile 1 focus on page load
- Fix issue #214 Tile misalignment after 4.3 update
- Simplify tile fitter JS to speed up tile re-org when course index opened/closed

4.4.0.14 (2024073140)
=====================
- Accessibility improvements
- Code simplification (modals incl pluginfile URLs)
- Allow tile fitter to work without JS nav being on
- Improve sub-tile icon border/background

4.4.0.15 (2024080940)
=====================
- Minor style adjustments including chrome long tile title padding
- Course index - click on label opens section
- Fix scroll on tile open
- Dismiss dialogues (e.g. glossary entries) when tile is closed or changed
- Avoid double glossary dialogue when autolink in page modal is clicked

4.4.0.16 (2024081640)
=====================
- Fix modal bug where resource activity has multiple files
- Icon background colour is course colour for activities which don't support "purpose"
- Add branch description to readme

4.4.0.17 (2024081641)
=====================
- Icon background colour correction for purpose "other" activities

4.4.0.18 (2024081642)
=====================
- Refactor modal handling for reliability
- Show description in PDF modal if set to display in course
- When JS navigation is deactivated by user, alert no longer persists
- Fix issue #217 cm list padding

4.4.0.19 (2024082440)
=====================
- Modal cache efficiency improvement

4.4.0.20 (2024082441)
=====================
- Correct mustache template example typos

4.4.0.21 (2024090540)
=====================
- Fix issue #219 filters not applying to non-subtile headings
- Fix issue #221 unit test provider bug
- Fix issue #222 safari PDF modal not displaying
- Add behat test for filtering for tile names, activity names and content

4.4.0.22 (2024090741)
=====================
- Fix previous merge error causing sub-tile spacing issue
- Preparatory work for upcoming Moodle 4.5 around delegated sections / activity chooser button refactor (MDL-81765)

4.4.0.23 (2024090840)
=====================
- Further preparatory work for upcoming Moodle 4.5 around delegated sections (implement for sub-tiles courses)

4.4.0.24 (2024091140)
=====================
- Fix issue with ampersand display on sub-tile title
- Change format name to "Tiles" not "Tiles format" (consistent with core)

4.4.0.25 (2024100940)
=====================
- Improve tile number icons
    - add new tab to icon picker for tile numbers with numbers up to 20
    - tile numbers now shown as styled HTML not images
- In non JS navigation mode, do not expand page width in single section view
- Improve tile progress title and simplify progress indicators
- Hide tooltip for empty course activity summary
- Lambda theme - unset extra wide tile from Lambda developer, as it restricts number of tiles per row
- Improve progress indicators
- Fix issue 123 mod_unilabel modals behind backdrop
- Fix issue 222 Safari PDF modals
- Fix issue 223 custom certificate monologo
- Fix issue 226 stop page modal when pop up set

4.5.0.0 (2024101150)
====================
- Previous prep work for Moodle 4.5 (e.g. on subsections / delegated sections in 4.4.0.22 & 23) can now be used
- Bootstrap 5 change class names e.g. ml-1 => ms-1 - see https://moodledev.io/docs/4.5/guides/bs5migration
- Reserve space for right scroll bar on tiles main screen
    (avoid layout change in Chrome when tiles open/close and scrollbar appears/disappears)
- Mobile sub-tile layout adjustment

4.5.0.1 (2024101250)
====================
- Improve sub-sections expanded state handling (e.g. when persist when content is reloaded)
- Add behat test for sub-sections

4.5.0.2 (2024102550)
====================
- Fix missing section link in breadcrumb in activity
- Fix new number picker button titles
- Remove jquery from behat tests
- Remove redundant local icons for resource subtiles in Moodle 4.3+
- Improve appearance of bigbluebutton and Turnitin icons on sub-tiles

4.5.0.3 (2024120950)
=====================
- High contrast mode available (shown if activated by user preference)
- Simplify $displaysection
- Improve scroll bar access when tile open (overlay in centre section only, exposing left and right drawers to user)
- Include "General" heading (for section zero) at top of course index
- In course index, clicks on section headings can open sections using JS nav (if enabled)
- Remove debug message
- Allow null displaysection on js init

4.5.0.4 (2024121250)
====================
- Adjust tests

4.5.0.5 (2024121251)
====================
- Fix JS build file course.min.js

4.5.0.6 (2024121252)
====================
- Add missing change to version.php

4.5.0.7 (2025041650)
====================
- Simplify legacy checks for excess sections (detail now redundant)
- Add setting to include sub-section progress data within on-tile progress indicator
- Adjust tests
- Make user pref controls more obvious if on/off (use same switch as edit mode)
- Improve JS section load content error report notification
- Remove registration form and contact links
- Simplify page scroll
- Inline folder warning
- Refactor to video cm class
- Fix issue 252 section zero heading
- Remove any queued adhoc tasks for deleted code

5.0.0.0 & 5.0.0.1 (2025041700 & 2025041701)
===========================================
- Moodle 5.0 compatibility fixes

5.0.0.2 (2025052060)
====================
- Improve monologo icon check
- Remove redundant language strings

5.0.0.3 (2025052760)
=====================
- Issue 270 - add admin setting to prevent user collapsing section zero
- Issue 239 - fix "Show section zero at top of all sections" Setting Not Working
- Issue 263 - use iframe for PDF modal instead of object

5.0.0.4 (2025052761)
=====================
- Issue 268 add missing cachedef string
- Adjust section header layout

5.0.0.5 (2025052762)
=====================
- Edit admin settings strings re animated navigation
- Add workaround for core bug Safari black activity icons - see https://tracker.moodle.org/browse/MDL-84630.

5.0.0.6 (2025052763)
=====================
- Remove format.js deprecated since 4.0 - see https://tracker.moodle.org/browse/MDL-74778.

5.0.0.7 (2025052764)
=====================
- Extend workaround for core bug Safari black activity icons to iOS Safari

5.0.0.8 (2025052765)
=====================
- Remove redundant behat test steps

5.0.0.9 (2025052766)
=====================
- Fix issue when clicking sub-section headings in course index

5.0.0.10 (2025060260)
=====================
- Introduce cache for tiles format options

5.0.0.11 (2025060261)
=====================
- Issue 272 - fix nav arrows in subsection accessed from course index when animated navigation is off

5.0.0.12 (2025060262)
=====================
- Use section.php page to show single section when animated navigation is off

5.0.0.13 (2025060263)
=====================
- More adaptation to use section.php for single section when animated nav is off.
    - Move sec zero and arrows to top
    - Tidy appearance

5.0.0.14 (2025060264)
=====================
- Run grunt AMD missing from last version

5.0.0.15 (2025060265)
=====================
- More adaptation to use section.php for single section when animated nav is off.
    - Move sec zero and arrows to top
    - Tidy appearance
    - Fix section zero reduced width
    - Fix animated nav toggle colour
    - Respect setting to show section 0 course wide

5.0.0.16 (2025060266)
=====================
- If user is editing, ignore setting to show sec zero at top of every section.php page
- If user requests course/view.php?section=xx, redirect to course/section.php
- Improve modal JS on section.php page

5.0.0.17 (2025060267)
=====================
- Admin setting to include subsection data in tile progress indicator - set to on.
  (Was initially off by default to follow core, but seems illogical in the context of tiles so changing.)
  (Admins can set this back to off if they prefer.)
- Issue 274 remove tooltip for activity summary
- Update Moodle docs link for activity completion settings

5.0.0.18 (2025060268)
=====================
- Issue 277 fix progress count error where no subsection data
- Issue 276 remove subsection icon in edit mode
- Simplify legacy excess sections check

5.0.0.19 (2025060269)
=====================
- Fix missing activity description in modal for non-subtile activities

5.0.0.20 (2025070360)
=====================
- Issue 280 button icon colour darker to match core (accessibility)
- Remove docs links

5.0.0.21 (2025070362)
=====================
- Fix bootstrap 5.0 tooltips https://moodledev.io/docs/5.0/guides/bs5migration#bootstrap-5-upgrade
- Switch on tile badge colour (e.g. 'Restricted') to grey

5.0.0.22 (2025070363)
=====================
- Issue 287 fix modal scroll
- Issue 289 fix page not scrolling when open tile
- Avoid deprecation warning

5.0.0.23 (2025070364)
=====================
- Issue 291 and 292 fix malfunctioning modal iframe URL for file activities
